BentPlateGeometrySolverSetBendAngle Method |
Sets angle as the angle of curved section sectionToSetAngle
and modifies geometry starting from sectionToMove.
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public ConnectiveGeometry SetBendAngle( double angle, GeometrySection sectionToSetAngle, GeometrySection sectionToMove, ConnectiveGeometry geometry )
Parameters
- angle
- Type: SystemDouble
Angle in degrees to set. - sectionToSetAngle
- Type: Tekla.Structures.ModelGeometrySection
Curved section to set angle value. - sectionToMove
- Type: Tekla.Structures.ModelGeometrySection
Could be curved or plate section, used to know which side of chain to modify. - geometry
- Type: Tekla.Structures.ModelConnectiveGeometry
Geometry of the bent plate to modify.
Return Value
Type: ConnectiveGeometryReturns modified geometry with on success or initial geometry on fail.
See Also